export default defineNuxtPlugin(() => {
  const runtimeConfig = useRuntimeConfig();
  const callerInfoStore = useCallerInfoStore();

  const callerId = `${runtimeConfig.public.stoveGameId}`;
  const callerDetail = `${useCookie("sgs_da_uuid").value || ""}`;

  callerInfoStore.setCallerId(callerId);
  callerInfoStore.setCallerDetail(callerDetail);
});
